## redboot-tools 0.2~hardy1

=== debian/changelog ===
redboot-tools (0.2~hardy1) hardy-backports; urgency=low

  * Backport from Jaunty to Hardy. (LP: #351604)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 30 Mar 2009 09:45:38 -0400

redboot-tools (0.2) jaunty; urgency=low

  * Move to cdbs and to debhelper compat level 5; update build-deps
    accordingly; this helps building in plain hardy.

 -- Loic Minier <lool@dooz.org>  Tue, 24 Mar 2009 21:34:33 +0100

redboot-tools (0.1) jaunty; urgency=low

  * Initial release; LP: #XXXXXX.

 -- Loic Minier <lool@dooz.org>  Tue, 24 Mar 2009 20:11:35 +0100

## redboot-tools 0.2~intrepid1

=== debian/changelog ===
redboot-tools (0.2~intrepid1) intrepid-backports; urgency=low

  * Backport from Jaunty to Intrepid. (LP: #351604)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 30 Mar 2009 09:45:38 -0400

## redboot-tools 0.7build2

=== Makefile ===

all clean:
	$(MAKE) -C fconfig $@ CFLAGS="$(CFLAGS)"
	$(MAKE) -C fis $@ CFLAGS="$(CFLAGS) --std=c99"

=== fconfig/Makefile ===
NAME = fconfig
SRC = fconfig.c debug.c crc.c ftypes.c crunchfc.c
OBJ = $(subst .c,.o, $(SRC))

all: $(NAME)

%.d: %.c
	$(SHELL) -ec '$(CC) -M $(CPPFLAGS) $< \
		| sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@; \
		[ -s $@ ] || rm -f $@'

ifneq ($(MAKECMDGOALS), clean)
-include $(SRC:.c=.d)
endif

$(NAME): $(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LDLIBS)

romfs:
	[ "$(CONFIG_USER_FCONFIG_FCONFIG)" != y ] \
		|| cp $(NAME) $(ROMFSDIR)/bin/.

clean:
	-rm -f $(NAME) *.d *.o

=== fis/Makefile ===
NAME = fis
SRC = fis.c crc.c
OBJ = $(subst .c,.o, $(SRC))
CFLAGS = --std=c99

all: $(NAME)

%.d: %.c
	$(SHELL) -ec '$(CC) -M $(CPPFLAGS) $< \
		| sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@; \
		[ -s $@ ] || rm -f $@'

ifneq ($(MAKECMDGOALS), clean)
-include $(SRC:.c=.d)
endif

$(NAME): $(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(LDLIBS)

clean:
	-rm -f $(NAME) *.d *.o

## redboot-tools 0.2

=== debian/control ===
Source: redboot-tools
Section: utils
Priority: optional
Maintainer: Loic Minier <lool@dooz.org>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.50)
Standards-Version: 3.8.0

Package: redboot-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Collection of utilities to manipulate RedBoot data
 fis is a tool to manipulate entries in a RedBoot FIS directory, similar
 to the fis command in the RedBoot interactive shell.
 .
 fconfig is a tool to manipulate RedBoot configuration data, similar to
 the fconfig command in the RedBoot interactive shell.
 .
 These utilities help create RedBoot data from scratch or
 querying/updating the data of an installed system.  This can be used to
 generate images with RedBoot data or to change the boot data of
 devices.

Package: redboot-tools-udeb
Architecture: any
Section: debian-installer
Depends: ${shlibs:Depends}, ${misc:Depends}
XC-Package-Type: udeb
Description: Collection of utilities to manipulate RedBoot data (udeb)
 fis is a tool to manipulate entries in a RedBoot FIS directory, similar
 to the fis command in the RedBoot interactive shell.
 .
 fconfig is a tool to manipulate RedBoot configuration data, similar to
 the fconfig command in the RedBoot interactive shell.
 .
 These utilities help create RedBoot data from scratch or
 querying/updating the data of an installed system.  This can be used to
 generate images with RedBoot data or to change the boot data of
 devices.
 .
 redboot-tools-udeb is a minimal package used by debian-installer.

## redboot-tools 0.7

=== debian/changelog ===
redboot-tools (0.7) karmic; urgency=low

  * add redboot-cmdline to the package to make kernel cmdline editing in
    fconfig data an easy task
  * add dependency on parted, redboot-install uses it

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 28 Sep 2009 18:04:31 +0200

redboot-tools (0.6) karmic; urgency=low

  * add -n/--nodev option to redboot-install to allow writing to image
    files instead of blockdevices
  * drop UUID from default cmdline, drop UUID generation as it would be empty
    anyway
  * add splash to default cmdline
  * inclue lool's debian-cd fixes to create fis partitions with an exact size
    instead of having parted include the last block (512 bytes)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 25 Sep 2009 12:28:49 +0200

redboot-tools (0.5) karmic; urgency=low

  * add Vcs urls to upstream branches in debian/control

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 02 Aug 2009 10:10:14 +0200

redboot-tools (0.4) karmic; urgency=low

  * add HWITER variable to redboot-install, to enable selection of a
    redboot binary based on the board release

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 02 Aug 2009 10:04:48 +0200

redboot-tools (0.3) karmic; urgency=low

  * add redboot-install (LP: #348060)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 31 Jul 2009 09:21:33 +0200

## redboot-tools 0.7build1

=== debian/changelog ===
redboot-tools (0.7build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 01:03:16 +0100

## redboot-tools 0.7build2

=== debian/changelog ===
redboot-tools (0.7build2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 22:28:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Loic Minier <lool@dooz.org>
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.50)
 Standards-Version: 3.8.0
+Vcs-Bzr: lp:redboot-tools/upstream-development
+Vcs-Browser: https://code.launchpad.net/~ubuntu-mobile/redboot-tools/ubuntu
 
 Package: redboot-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, parted
 Description: Collection of utilities to manipulate RedBoot data
  fis is a tool to manipulate entries in a RedBoot FIS directory, similar
  to the fis command in the RedBoot interactive shell.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk

## redboot-tools 0.7build3

=== debian/changelog ===
redboot-tools (0.7build3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:41:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: redboot-tools
 Section: utils
 Priority: optional
-Maintainer: Loic Minier <lool@dooz.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
 Build-Depends: debhelper (>= 5), cdbs (>= 0.4.50)
 Standards-Version: 3.8.0
 Vcs-Bzr: lp:redboot-tools/upstream-development

## redboot-tools 0.7build4

=== debian/changelog ===
redboot-tools (0.7build4) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:08 +0100
